POST api/Challenges/DeletePostComment

Request Information

URI Parameters

None.

Body Parameters

PostCommentDeleteModel_v2
NameDescriptionTypeAdditional information
groupPostId

integer

None.

commentGuid

globally unique identifier

None.

accountGuid

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "groupPostId": 1,
  "commentGuid": "8fd459c9-0039-49e0-94c9-60c9de96e0cb",
  "accountGuid": "2930e485-11cb-4290-a894-e4a55a4a9f59"
}

text/plain, application/octet-stream

Sample:
{"groupPostId":1,"commentGuid":"8fd459c9-0039-49e0-94c9-60c9de96e0cb","accountGuid":"2930e485-11cb-4290-a894-e4a55a4a9f59"}

application/xml, text/xml

Sample:
<PostCommentDeleteModel_v2 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Models.Groups_api_models">
  <accountGuid>2930e485-11cb-4290-a894-e4a55a4a9f59</accountGuid>
  <commentGuid>8fd459c9-0039-49e0-94c9-60c9de96e0cb</commentGuid>
  <groupPostId>1</groupPostId>
</PostCommentDeleteModel_v2>

multipart/form-data, application/form-data

Sample:
<PostCommentDeleteModel_v2 xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.Models.Groups_api_models"><accountGuid>2930e485-11cb-4290-a894-e4a55a4a9f59</accountGuid><commentGuid>8fd459c9-0039-49e0-94c9-60c9de96e0cb</commentGuid><groupPostId>1</groupPostId></PostCommentDeleteModel_v2>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data

Sample:

Sample not available.